ODFPY: odf.odfmanifest.ODFManifestHandler Class Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.odfmanifest.ODFManifestHandler Class Reference

The ODFManifestHandler parses a manifest file and produces a list of content. More...

Inheritance diagram for odf.odfmanifest.ODFManifestHandler:
[legend]
Collaboration diagram for odf.odfmanifest.ODFManifestHandler:
[legend]

## Public Member Functions
def | __init__
def | handle_starttag
def | handle_endtag
def | startElementNS
def | endElementNS
def | unknown_starttag
def | unknown_endtag
def | donothing
def | s_file_entry

## Public Attributes
| manifest
| elements

## Detailed Description

The ODFManifestHandler parses a manifest file and produces a list of content.

Definition at line 43 of file odfmanifest.py.

## Constructor & Destructor Documentation

def odf.odfmanifest.ODFManifestHandler.__init__ | ( |  | self | ) |

Definition at line 45 of file odfmanifest.py.

## Member Function Documentation

def odf.odfmanifest.ODFManifestHandler.donothing | ( |  | self,
|  |  | tag,
|  |  | attrs = `None`
| ) |  |

Definition at line 80 of file odfmanifest.py.

def odf.odfmanifest.ODFManifestHandler.endElementNS | ( |  | self,
|  |  | tag,
|  |  | qname
| ) |  |

Definition at line 67 of file odfmanifest.py.

Here is the call graph for this function:

def odf.odfmanifest.ODFManifestHandler.handle_endtag | ( |  | self,
|  |  | tag,
|  |  | method
| ) |  |

Definition at line 57 of file odfmanifest.py.

Here is the caller graph for this function:

def odf.odfmanifest.ODFManifestHandler.handle_starttag | ( |  | self,
|  |  | tag,
|  |  | method,
|  |  | attrs
| ) |  |

Definition at line 54 of file odfmanifest.py.

Here is the caller graph for this function:

def odf.odfmanifest.ODFManifestHandler.s_file_entry | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 83 of file odfmanifest.py.

def odf.odfmanifest.ODFManifestHandler.startElementNS | ( |  | self,
|  |  | tag,
|  |  | qname,
|  |  | attrs
| ) |  |

Definition at line 60 of file odfmanifest.py.

Here is the call graph for this function:

def odf.odfmanifest.ODFManifestHandler.unknown_endtag | ( |  | self,
|  |  | tag
| ) |  |

Definition at line 77 of file odfmanifest.py.

Here is the caller graph for this function:

def odf.odfmanifest.ODFManifestHandler.unknown_starttag | ( |  | self,
|  |  | tag,
|  |  | attrs
| ) |  |

Definition at line 74 of file odfmanifest.py.

Here is the caller graph for this function:

## Member Data Documentation

odf.odfmanifest.ODFManifestHandler.elements

Definition at line 50 of file odfmanifest.py.

odf.odfmanifest.ODFManifestHandler.manifest

Definition at line 46 of file odfmanifest.py.

The documentation for this class was generated from the following file:

- odf/odfmanifest.py